Retrieve all RICALs
Retrieves all RICALs available in the requested ecosystem.
The response is a JSON list of the published RICALs and their version identifiers. To download an actual RICAL file (a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5), call the Retrieve specific RICAL or Retrieve latest RICAL endpoint.
This endpoint is intended for public consumption, and as such does not require authentication.
Analytics Events
ecosystemId*stringThe UUID of the ecosystem
uuidlimit?numberRange size of returned list.
1 <= value <= 1000100cursor?stringStarting point for the list of entries.
RICALs retrieved
application/json- response
data?array<>nextCursor?nextCursorStarting point for next cursor to use in a paginated list.
curl -X GET "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/public"{ "data": [ { "ricalIssueID": 1337, "date": "2024-07-28T23:01:13.000Z", "filename": "rical-2024-07-28-1722164473000.cbor", "isAutoPublished": false } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM"}How would you rate this page?
Create RICAL POST
Creates a Reader Identity Certificate Authority List (RICAL) based on the policy of the requested ecosystem. A [RICAL configuration](#operation/updateRicalConfiguration) is required in order for RICALs to be created.
Retrieve specific RICAL GET
Retrieves a specific RICAL from the requested ecosystem by providing the RICAL version identifier. The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5. This endpoint is intended for public consumption, and as such does not require authentication.